# CADmatrixSkin

import slogan.skins, slogan.html, slogan.pie, whrandom
[false, true]= range(2)

class Skin(slogan.skins.Skin):
  identity= '1value'

  def pageType(self, fvals):
    if fvals.get('t', '')=='i':
      slogan.pie.config['palette'][0]= (224, 224, 224)
      return slogan.html.config['pieFormat'][1]
    if self.htmlLevel[:1]=='x':
      return 'text/xml'
    else:
      return 'text/html'

  def outputTitle(self, stream, context):
    stream.write('CADmatrix logs')

  def outputStyles(self, stream, context):
    bg= whrandom.choice(['1', '2', '3', '4'])
    stream.write('    body { background: white url(/i/back/'+bg+'.gif) no-repeat bottom left; color: black }\n')
    stream.write('    body, th, td, p, div { font-family: serif }\n')
    stream.write('    a:link, a:visited { text-decoration: none; color: black }\n')
    stream.write('    a:hover { text-decoration: underline }\n')
    stream.write('    .rows { border: inset 2px; padding: 4px; background: rgb(224,224,224) }\n')
    stream.write('    h2 { font-size: medium; font-weight: bold }\n')

  def outputBody(self, stream, context):
    stream.write('<body>\n')
    stream.write('  <table width="100%" cellpadding="8" cellspacing="0" border="0"><tr valign="top">\n')
    stream.write('    <td width="100%">\n\n')
    if len(context[0])>0:
      self.outputCurrents(stream, context)
      self.outputControls(stream, context)
      results= slogan.query(context[0], context[1])
      self.outputResults(stream, context, results)
    else:
      self.outputSummary(stream, context)
    stream.write('\n    </td>\n    <td align="right"><div id="navp">\n\n')
    stream.write('      <table width="100%" cellpadding="0" cellspacing="0" border="0">\n')
    stream.write('        <tr>\n')
    stream.write('          <td background="/i/layout/v1.gif"><img src="/i/layout/0.gif" width="19" height="4" alt=""></td>\n')
    stream.write('          <td><img src="/i/layout/0.gif" width="200" height="4" alt=""></td>\n')
    stream.write('          <td><img src="/i/layout/0.gif" width="19" height="4" alt=""></td>\n')
    stream.write('        </tr>\n')
    stream.write('        <tr>\n')
    stream.write('          <td background="/i/layout/x1.gif"><img src="/i/layout/0.gif" width="19" height="19" alt=""></td>\n')
    stream.write('          <td background="/i/layout/h1.gif"><img src="/i/layout/0.gif" width="1" height="19" alt=""></td>\n')
    stream.write('          <td><img src="/i/layout/0.gif" width="19" height="19" alt=""></td>\n')
    stream.write('        </tr><tr>\n')
    stream.write('          <td background="/i/layout/v1.gif"><img src="/i/layout/0.gif" width="19" height="1" alt=""></td>\n')
    stream.write('          <td><div align="center"><a href="/"><img src="/i/nhome.gif" width="140" height="28" alt="')
    stream.write('CADmatrix Startseite')
    stream.write('" border="0"></a></div></td>\n')
    stream.write('          <td background="/i/layout/v2.gif"><img src="/i/layout/0.gif" width="19" height="1" alt=""></td>\n')
    stream.write('        </tr><tr>\n')
    stream.write('          <td background="/i/layout/x1.gif"><img src="/i/layout/0.gif" width="19" height="19" alt=""></td>\n')
    stream.write('          <td background="/i/layout/h2.gif"><img src="/i/layout/0.gif" width="1" height="19" alt=""></td>\n')
    stream.write('          <td background="/i/layout/v1.gif"><img src="/i/layout/0.gif" width="19" height="19" alt=""></td>\n')
    stream.write('        </tr><tr>\n')
    stream.write('          <td background="/i/layout/v1.gif"><img src="/i/layout/0.gif" width="19" height="1" alt=""></td>\n')
    stream.write('          <td>\n')
    self.outputTraits(stream, context)
    stream.write('          </td>\n')
    stream.write('          <td background="/i/layout/v3.gif"><img src="/i/layout/0.gif" width="19" height="1" alt=""></td>\n')
    stream.write('        </tr><tr>')
    stream.write('          <td background="/i/layout/x2.gif"><img src="/i/layout/0.gif" width="19" height="19" alt=""></td>\n')
    stream.write('          <td background="/i/layout/h4.gif"><img src="/i/layout/0.gif" width="1" height="19" alt=""></td>\n')
    stream.write('          <td><img src="/i/layout/0.gif" width="19" height="19" alt=""></td>\n')
    stream.write('        </tr><tr>\n')
    stream.write('          <td background="/i/layout/v3.gif"><img src="/i/layout/0.gif" width="19" height="1" alt=""></td>\n')
    stream.write('          <td><div class="nav" align="center"><a href="http://www.1value.com/">')
    stream.write('Ihr CADmatrix-Partner:')
    stream.write('</a></div><div class="nav" align="center"><a href="http://www.1value.com/"><img src="/i/1value.gif" width="130" height="12" alt="1VALUE.com AG" border="0"></a>')
    stream.write('          </div></td>\n')
    stream.write('          <td><img src="/i/layout/0.gif" width="19" height="1" alt=""></td>\n')
    stream.write('      </table>\n')
    stream.write('</body></html>')
